Bug 1196254 (CVE-2015-2080) - CVE-2015-2080 jetty: remote unauthenticated credential exposure
Summary: CVE-2015-2080 jetty: remote unauthenticated credential exposure
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-2080
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-25 15:23 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:28 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-28 10:22:39 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-02-25 15:23:25 UTC
CVE-2015-2080 has been assigned to this issue in which Jetty sends an
HTTP response to one client containing HTTP request data from a
different client:

External References:

http://dev.eclipse.org/mhonarc/lists/jetty-announce/msg00074.html

Statement:

This issue did not affect the versions of jetty as shipped with Red Hat Enterprise Linux 7, versions of openshift-origin-cartridge-fuse as shipped with Red Hat OpenShift Enterprise 2.1, and versions of nutch as shipped with Red Hat Satellite 5.

Comment 3 Fedora Update System 2015-03-13 17:28:14 UTC
jetty-9.2.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.